package path

import "path"
// import "strings"
import "html/template"
import "git.tebibyte.media/sashakoshka/step"

var _ step.FuncProvider = new(Provider)

// Provider provides path functions.
type Provider struct {
	
}

// FuncMap fulfills the step.FuncProvider interface.
func (this *Provider) FuncMap () template.FuncMap {
	return template.FuncMap {
		"joinPaths": funcJoinPaths,
		"osJoinPaths": funcOSJoinPaths,
	}
}

func funcJoinPaths (left, right string) string {
	return path.Join(left, right)
}

func funcOSJoinPaths (left, right string) string {
	return path.Join(left, right)
}
