package step

// Error enumerates errors common to this package.
type Error string; const (
	ErrCircularInheritance     Error = "Circular inheritance"
	ErrFrontMatterMalformed    Error = "Front matter is malformed"
	ErrFrontMatterNeverClosed  Error = "Front matter is never closed"
	ErrFrontMatterDuplicateKey Error = "Duplicate key in front matter"
)

// Error fulfills the error interface.
func (err Error) Error () string {
	return string(err)
}
